summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDawid Węgliński <cla@gentoo.org>2010-01-19 15:46:54 +0000
committerDawid Węgliński <cla@gentoo.org>2010-01-19 15:46:54 +0000
commit4e41b2da3b93d27b6a0a06d99f878e98f5f79ffe (patch)
treee41d31f1c837d7b05e35fc67a908205b93c1b250 /net-misc/emirror
parentstable x86, bug 301519 (diff)
downloadgentoo-2-4e41b2da3b93d27b6a0a06d99f878e98f5f79ffe.tar.gz
gentoo-2-4e41b2da3b93d27b6a0a06d99f878e98f5f79ffe.tar.bz2
gentoo-2-4e41b2da3b93d27b6a0a06d99f878e98f5f79ffe.zip
Version bump wrt #297617
(Portage version: 2.2_rc61/cvs/Linux x86_64)
Diffstat (limited to 'net-misc/emirror')
-rw-r--r--net-misc/emirror/ChangeLog9
-rw-r--r--net-misc/emirror/emirror-2.2.0.0.4.ebuild33
2 files changed, 40 insertions, 2 deletions
diff --git a/net-misc/emirror/ChangeLog b/net-misc/emirror/ChangeLog
index 16b070b41bf6..599b2aaf3d50 100644
--- a/net-misc/emirror/ChangeLog
+++ b/net-misc/emirror/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for net-misc/emirror
-# Copyright 2002-2008 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/net-misc/emirror/ChangeLog,v 1.10 2008/09/23 02:08:18 cla Exp $
+# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/net-misc/emirror/ChangeLog,v 1.11 2010/01/19 15:46:54 cla Exp $
+
+*emirror-2.2.0.0.4 (19 Jan 2010)
+
+ 19 Jan 2010; Dawid Węgliński <cla@gentoo.org> +emirror-2.2.0.0.4.ebuild:
+ Version bump wrt #297617
23 Sep 2008; Dawid Węgliński <cla@gentoo.org> emirror-2.1.21.ebuild:
Keyword ~amd64, fix HOMEPAGE url; use econf and emake instead of ./configure
diff --git a/net-misc/emirror/emirror-2.2.0.0.4.ebuild b/net-misc/emirror/emirror-2.2.0.0.4.ebuild
new file mode 100644
index 000000000000..b66ce9b56281
--- /dev/null
+++ b/net-misc/emirror/emirror-2.2.0.0.4.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-misc/emirror/emirror-2.2.0.0.4.ebuild,v 1.1 2010/01/19 15:46:54 cla Exp $
+
+inherit versionator
+
+MY_PV=$(replace_version_separator 3 '-')
+
+DESCRIPTION="ECLiPt FTP mirroring tool"
+HOMEPAGE="http://sourceforge.net/projects/emirror/"
+SRC_URI="mirror://sourceforge/${PN}/${PN}-${MY_PV}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+
+S="${WORKDIR}"/${PN}-${MY_PV}
+
+src_compile() {
+ econf || die "econf failed"
+ emake || die "emake failed"
+}
+
+src_install() {
+ emake \
+ prefix="${D}"/usr \
+ mandir="${D}"/usr/share/man/man1 \
+ sysconfdir="${D}"/etc \
+ htmldir="${D}"/var/www/mirrors \
+ install || die "emake install failed"
+ dodoc doc/*
+}